View Issue Details

IDProjectCategoryView StatusLast Update
0000280MantisDroid[All Projects] Taskpublic2012-07-26 23:28
Reportere7andy Assigned Toe7andy  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.0Fixed in Version1.0 
Summary0000280: Hide functionality for not authorized users
DescriptionHide functionality for not authorized users
Get and save user level at login.

VIEWER
---
View issues
NOT create, edit, delete issues, CUD note, CUD file
---
REPORTER
---
View, create issues, add note, upload file
NOT edit, delete issues
---
UPDATER
View, create, edit issues, upload file
NOT delete issues, change status, change assigned to, update/delete note, delete file
---
DEVELOPER
---
View, create, edit, delete issues (everything on issues)
---
MANAGER
---
DEVELOPER + View, edit projects
NOT create, delete projects
---
ADMINISTRATOR
---
view, edit, create, delete projects (everything on projects)
---
TagsNo tags attached.

Activities

e7andy

2012-06-28 07:42

administrator   ~0000012

<id xsi:type="xsd:integer">10</id>
<name xsi:type="xsd:string">viewer</name>

<id xsi:type="xsd:integer">25</id>
<name xsi:type="xsd:string">reporter</name>

<id xsi:type="xsd:integer">40</id>
<name xsi:type="xsd:string">updater</name>

<id xsi:type="xsd:integer">55</id>
<name xsi:type="xsd:string">developer</name>

<id xsi:type="xsd:integer">70</id>
<name xsi:type="xsd:string">manager</name>

<id xsi:type="xsd:integer">90</id>
<name xsi:type="xsd:string">administrator</name>

e7andy

2012-06-28 09:53

administrator   ~0000013

Last edited: 2012-06-28 10:02

View 4 revisions

getUser()
getProjectAccessibleForUser()
getAccessLevelForUser()
foreach(accessible project) {
   getAccessLevelForUserAndProject()
   save list with access level per project
}

e7andy

2012-06-29 06:46

administrator   ~0000014

-administrator, always full access
-public projects are viewable by all users

Issue History

Date Modified Username Field Change
2012-06-25 07:47 e7andy New Issue
2012-06-25 08:26 e7andy Status new => confirmed
2012-06-25 08:26 e7andy Description Updated View Revisions
2012-06-26 08:16 e7andy Target Version => 1.0
2012-06-26 17:37 e7andy Description Updated View Revisions
2012-06-26 21:04 e7andy Assigned To => e7andy
2012-06-26 21:04 e7andy Status confirmed => assigned
2012-06-27 07:51 e7andy Priority normal => urgent
2012-06-27 07:51 e7andy Summary Hide project icons for not authorized users => Hide functionality for not authorized users
2012-06-27 07:51 e7andy Description Updated View Revisions
2012-06-28 07:42 e7andy Note Added: 0000012
2012-06-28 09:53 e7andy Note Added: 0000013
2012-06-28 09:55 e7andy Note Edited: 0000013 View Revisions
2012-06-28 09:57 e7andy Note Edited: 0000013 View Revisions
2012-06-28 10:02 e7andy Note Edited: 0000013 View Revisions
2012-06-29 06:46 e7andy Note Added: 0000014
2012-07-07 08:59 e7andy Assigned To e7andy =>
2012-07-07 08:59 e7andy Status assigned => confirmed
2012-07-07 09:38 e7andy Priority urgent => normal
2012-07-17 13:56 e7andy Assigned To => e7andy
2012-07-17 13:56 e7andy Status confirmed => assigned
2012-07-17 13:56 e7andy Description Updated View Revisions
2012-07-18 22:04 e7andy Description Updated View Revisions
2012-07-18 22:08 user5 File Added: test.txt
2012-07-18 22:09 e7andy Description Updated View Revisions
2012-07-18 22:13 e7andy Description Updated View Revisions
2012-07-23 14:55 e7andy File Deleted: test.txt
2012-07-23 14:56 e7andy Status assigned => closed
2012-07-23 14:56 e7andy Resolution open => fixed
2012-07-23 14:56 e7andy Fixed in Version => 1.0
2012-07-26 23:28 e7andy Category Request => Task